//
//  ISRConfigViewController.m
//  MSCDemo_UI
//
//  Created by wangdan on 15-4-25.
//  Copyright (c) 2015年 iflytek. All rights reserved.
//

#import "IATConfigVIewController.h"
#import "IATConfig.h"


@interface IATConfigVIewController ()
@end

@implementation IATConfigVIewController


#pragma mark - 视图生命周期
- (void)viewDidLoad {
    [super viewDidLoad];
    [self needUpdateView];
    // Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}



-(void)needUpdateView {
    
    IATConfig *instance = [IATConfig sharedInstance];
    
    
    
    if ([instance.language isEqualToString:[IFlySpeechConstant LANGUAGE_CHINESE]]) {//语种选择
        if ([instance.accent isEqualToString:[IFlySpeechConstant ACCENT_CANTONESE]]) {
            
        }else if ([instance.accent isEqualToString:[IFlySpeechConstant ACCENT_HENANESE]]) {
            
        }else if ([instance.accent isEqualToString:[IFlySpeechConstant ACCENT_MANDARIN]]) {
            
        }
    }else if ([instance.language isEqualToString:[IFlySpeechConstant LANGUAGE_ENGLISH]]) {
    }
    
    
    if ([instance.sampleRate isEqualToString:[IFlySpeechConstant SAMPLE_RATE_8K]]) {//采样率
        
    }else if ([instance.sampleRate isEqualToString:[IFlySpeechConstant SAMPLE_RATE_16K]]) {
        
    }
    
    if ([instance.dot isEqualToString:[IFlySpeechConstant ASR_PTT_HAVEDOT]]) {//标点
        
    }else if ([instance.dot isEqualToString:[IFlySpeechConstant ASR_PTT_NODOT]]) {
        
    }
    
    if (instance.haveView == NO) {
        
    }else if (instance.haveView == 1) {
        
    }
    
}


#pragma 事件处理函数

- (void)multisectorValueChanged:(id)sender{
}


- (IBAction)accentSegHandler:(id)sender {

    
    UISegmentedControl *control = sender;
    if (control.selectedSegmentIndex == 0) {//粤语
        
        [IATConfig sharedInstance].language = [IFlySpeechConstant LANGUAGE_CHINESE];
        [IATConfig sharedInstance].accent = [IFlySpeechConstant ACCENT_MANDARIN];
        
    }else if (control.selectedSegmentIndex == 1) {//英语
        [IATConfig sharedInstance].language = [IFlySpeechConstant LANGUAGE_ENGLISH];
        
    }else if (control.selectedSegmentIndex == 2) {//河南话
        [IATConfig sharedInstance].language = [IFlySpeechConstant LANGUAGE_CHINESE];
        [IATConfig sharedInstance].accent = [IFlySpeechConstant ACCENT_HENANESE];
        
    }else if (control.selectedSegmentIndex == 3) {//粤语
        
        [IATConfig sharedInstance].language = [IFlySpeechConstant LANGUAGE_CHINESE];
        [IATConfig sharedInstance].accent = [IFlySpeechConstant ACCENT_CANTONESE];
        
    }
}

- (IBAction)viewSegHandler:(id)sender {
    UISegmentedControl *control = sender;
    if (control.selectedSegmentIndex == 0) {
        [IATConfig sharedInstance].haveView = NO;
        
    }else if (control.selectedSegmentIndex == 1) {
        [IATConfig sharedInstance].haveView = YES;
        
    }
}

- (IBAction)sampleSegHandler:(id)sender {
    
    UISegmentedControl *control = sender;
    if (control.selectedSegmentIndex == 0) {
        [IATConfig sharedInstance].sampleRate = [IFlySpeechConstant SAMPLE_RATE_16K];
        
    }else if (control.selectedSegmentIndex == 1) {
        [IATConfig sharedInstance].sampleRate = [IFlySpeechConstant SAMPLE_RATE_8K];
        
    }
}


- (IBAction)dotSegHandler:(id)sender {
    UISegmentedControl *control = sender;
    
    if (control.selectedSegmentIndex == 0) {
        [IATConfig sharedInstance].dot = [IFlySpeechConstant ASR_PTT_HAVEDOT];
        
    }else if (control.selectedSegmentIndex == 1) {
        [IATConfig sharedInstance].dot = [IFlySpeechConstant ASR_PTT_NODOT];
    }
}




#pragma mark - 识别语言选择器数据源

- (NSUInteger)numberOfItemsInPickerView:(AKPickerView *)pickerView
{
    IATConfig* instance = [IATConfig sharedInstance];
    return instance.accentNickName.count;
}
- (NSString *)pickerView:(AKPickerView *)pickerView titleForItem:(NSInteger)item;
{
    IATConfig* instance = [IATConfig sharedInstance];
    return  [instance.accentNickName objectAtIndex:item];
}


#pragma mark - 选择识别语言事件回调
- (void)pickerView:(AKPickerView *)pickerView didSelectItem:(NSInteger)item
{
    IATConfig *instance = [IATConfig sharedInstance];

    if (item == 0) { //粤语
        instance.language = [IFlySpeechConstant LANGUAGE_CHINESE];
        instance.accent = [IFlySpeechConstant ACCENT_CANTONESE];
    }else if (item == 1) {//普通话
        instance.language = [IFlySpeechConstant LANGUAGE_CHINESE];
        instance.accent = [IFlySpeechConstant ACCENT_MANDARIN];
    }else if (item == 2) {//河南话
        instance.language = [IFlySpeechConstant LANGUAGE_CHINESE];
        instance.accent = [IFlySpeechConstant ACCENT_HENANESE];
    }else if (item == 3) {//英文
        instance.language = [IFlySpeechConstant LANGUAGE_ENGLISH];
    }
    
}


@end
